> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiid.edu.kg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get video content

> Retrieves the video file content of a completed video task.

This endpoint returns the video file stream via proxy.



## OpenAPI

````yaml api-reference/en/openapi.json GET /v1/videos/{task_id}/content
openapi: 3.0.0
info:
  title: Overseas Expansion Camp API Reference Documentation
  version: 1.0.0
  description: Public AI Gateway API Reference
servers:
  - url: https://api.aiid.edu.kg
security:
  - BearerAuth: []
tags:
  - name: OpenAI format (Chat)
  - name: OpenAI Format (Responses)
  - name: Gemini Format for Image Generation
  - name: Image generationOpenAI DALL-E format
  - name: List models
  - name: Video generationHappyHorse and Wan
  - name: Video generation Kling format
  - name: Video generation Omni and Veo formats
  - name: Video generation Seedance
  - name: Video generation Sora compatible formats
  - name: Video generation Vidu
  - name: Music generation task format
paths:
  /v1/videos/{task_id}/content:
    get:
      tags:
        - Video generation Sora compatible formats
      summary: Get video content
      description: |-
        Retrieves the video file content of a completed video task.

        This endpoint returns the video file stream via proxy.
      operationId: getVideoContent
      parameters:
        - name: task_id
          in: path
          description: Video task ID
          required: true
          example: video-abc123
          schema:
            type: string
      responses:
        '200':
          description: Video content retrieved successfully
          content:
            video/mp4:
              schema:
                type: string
                format: binary
          headers: {}
        '404':
          description: Video does not exist or is not completed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: Error message
            type:
              type: string
              description: Error Type
            param:
              type: string
              description: Related Parameters
              nullable: true
            code:
              type: string
              description: Error Codes
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |-
        Use Bearer Token authentication.
        Format: `Authorization: Bearer sk-xxxxxx`

````